pcl::UniformSampling< PointInT >::Leaf Struct Reference

Simple structure to hold an nD centroid and the number of points in a leaf. More...

`#include <pcl/keypoints/uniform_sampling.h>`

## Public Member Functions

| Leaf ()

## Public Attributes

int | idx

## Detailed Description

### template<typename PointInT>
struct pcl::UniformSampling< PointInT >::Leaf

Simple structure to hold an nD centroid and the number of points in a leaf.

Definition at line 112 of file uniform_sampling.h.

## Constructor & Destructor Documentation

template<typename PointInT >

pcl::UniformSampling< PointInT >::Leaf::Leaf | ( |  | ) |

inline

Definition at line 114 of file uniform_sampling.h.

## Member Data Documentation

template<typename PointInT >

int pcl::UniformSampling< PointInT >::Leaf::idx

Definition at line 115 of file uniform_sampling.h.

Referenced by pcl::UniformSampling< PointInT >::detectKeypoints().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/keypoints/include/pcl/keypoints/uniform_sampling.h